mkfs.reiserfs(8)

NAME
mkfs.reiserfs - a reiserfs filesystem creation program.

SYNOPSIS
mkfs.reiserfs [ options ] device [ size[K|M|G] ]

DESCRIPTION
mkfs.reiserfs is a reiserfs filesystem creation program. It supports reiserfs 3.5, reiserfs 3.6, with standard and relocated journal.

OPTIONS

-v, --version
    dispays current version

-u, --usage
    displays program usage

-s N, --journal-size=N
    journal size

-o N, --journal-offset=N
    journal offset for relocated journal

-t N, --transaction-max-size=N
    maximal transaction size

-b N, --block-size=N
    block size (1024, 2048, 4096...)

-f FORMAT, --format=FORMAT
    reiserfs version (3.5 or 3.6)

-h HASH, --hash=HASH
    hash function (tea, yura or r5)

-j FILE, --journal-device=FILE
    journal device for separated journal. If journal device equals host device, then reiserfs with standard journal will be created.

-l LABEL, --label=LABEL
    volume label

-d UUID, --uuid=UUID
    sets universally unique identifier

-q, --quiet
    non-interactive mode

REPORTING BUGS
Report bugs to <torque@ukrpost.net>

SEE ALSO
resizefs.reiserfs(8), tunefs.reiserfs(8), cpfs.reiserfs(8)

AUTHOR
This manual page was written by Yury Umanets <torque@ukrpost.net>